Project templates
Create Project From Template
Creates a project from a visible project template using the shared Zero template mutator
Creates a project from a visible project template using the shared Zero template mutator
Path Parameters
id*string
Project template UUID or public ID
Query Parameters
expand?||array<>
Expansion fields: "all" (full enrichment, default), "none" (IDs only), or array of fields ["owner", "status", "area"]
includeMarkdown?string
Include description.markdown field
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/project-templates/string/create-project" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "publicId": "string", "name": "string", "slug": "string", "icon": "string", "startDate": "2019-08-24T14:15:22Z", "dueDate": "2019-08-24T14:15:22Z", "ownerId": "string", "areaId": "string", "workspaceId": "string", "statusId": "string", "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "description": { "html": "string", "markdown": "string" }, "color": "string", "owner": { "id": "string", "name": "string", "email": "string" }, "status": { "id": "string", "name": "string", "color": "string", "icon": "string" }, "area": { "id": "string", "name": "string", "publicId": "str" }}